• thor

    thor

    2 years ago
    Who manages the osquery Homebrew recipe? Looks like it's pretty old >.>
    ❯ brew info osquery
    osquery: stable 3.3.2 (bottled)
    SQL powered operating system instrumentation and analytics
    <https://osquery.io>
    Not installed
    From: <https://github.com/Homebrew/homebrew-core/blob/master/Formula/osquery.rb>
    ==> Dependencies
    Build: bison ✘, cmake ✘, python ✔
    Required: augeas ✘, boost ✘, gflags ✘, glog ✘, libarchive ✘, libmagic ✔, librdkafka ✘, lldpd ✘, openssl@1.1 ✔, rapidjson ✘, rocksdb ✘, sleuthkit ✘, ssdeep ✘, thrift ✘, xz ✔, yara ✔, zstd ✘
    ==> Requirements
    Required: macOS >= 10.12 ✔
    ==> Analytics
    install: 1,312 (30 days), 3,562 (90 days), 11,649 (365 days)
    install-on-request: 1,213 (30 days), 3,293 (90 days), 10,744 (365 days)
    build-error: 0 (30 days)
  • Mike Myers

    Mike Myers

    2 years ago
  • theopolis

    theopolis

    2 years ago
    I think upgrading was blocked on needing an OpenSSL 1.1.x API compatibility